<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			Quản lý remote config
		</ion-title>
	</ion-toolbar>

</ion-header>
<ion-content class="background-content has-fixed-bottom scroll-content">
	<ion-grid fixed class="ion-no-padding">
		<ion-list>
			<ion-item>
				<ion-label> Get current variables</ion-label>
				{{toggleVarriables.checked ?  "Hiện" : "Ẩn"}}
				<ion-toggle #toggleVarriables (ionChange)="ionChangeVarriables(toggleVarriables.checked)"></ion-toggle>
			</ion-item>
			<ion-item *ngIf="currentVarriables">
				<ngx-json-viewer [json]="currentVarriables"></ngx-json-viewer>
			</ion-item>
			<ion-item>
				<ion-label> Get current appsettings</ion-label>
				{{toggleSettings.checked ?  "Hiện" : "Ẩn"}}
				<ion-toggle #toggleSettings (ionChange)="ionChangeSettings(toggleSettings.checked)"></ion-toggle>
			</ion-item>
			<ion-item *ngIf="currentSettings">
				<ngx-json-viewer [json]="currentSettings"></ngx-json-viewer>
			</ion-item>
			<ion-item *ngIf="isDev">
				<ion-button (click)="updateSettingsByDev()">Load remote config Dev</ion-button>
			</ion-item>
			<ion-item>
				<ion-button (click)="updateSettingsByStage()">Load remote config Stage</ion-button>
			</ion-item>
			<ion-item>
				<ion-button (click)="updateSettingsByProdLive()">Load remote config ProdLive</ion-button>
			</ion-item>
		</ion-list>
		<ion-list>
			<ion-label> <span class="custom-span">Chức năng push load remote config</span> </ion-label>
			<ion-item>
				<ion-label>Send to:</ion-label>
				<ion-select placeholder="Type" [(ngModel)]="this.dataNotification.Type" okText="Chọn" cancelText="Hủy">
					<ion-select-option *ngFor="let item of listDropdown.lTypeThongBao" [value]="item.value">
						{{item.label}}
					</ion-select-option>
				</ion-select>
			</ion-item>
			
			<ion-item *ngIf="this.dataNotification.Type == 2">
				<ion-label>Thành viên:</ion-label>
				<custom-ion-select [disabled]="this.dataNotification.Id> 0" #comboxThanhVien class="custom-ion-select"
					style="max-width: 120px" placeholder="Chọn thành viên"  [(ngModel)]="this.dataNotification.IdThanhVien"
					[options]="{labelDefault:'Chọn thành viên'}" type="ThanhVien"
					(onSelected)="itemSelectedThanhVien(comboxThanhVien._itemSelected)">
				</custom-ion-select>
			</ion-item>

			<ion-item *ngIf="this.dataNotification.Type == 4">
				<ion-label>UserGroup:</ion-label>
				<custom-ion-select [disabled]="this.dataNotification.Id> 0" #comboxUserGroup class="custom-ion-select"
					style="max-width: 120px" placeholder="Chọn UserGroup"  [(ngModel)]="this.dataNotification.IdUserGroup"
					[options]="{labelDefault:'Chọn UserGroup'}" type="UserGroup" [params]="{'allIncludingString': true}"
					(onSelected)="itemSelectedUserGroup(comboxUserGroup._itemSelected)">
				</custom-ion-select>
			</ion-item>
			<ion-item>
				<ion-button (click)="pushSettingsByStage()">Push load remote config Stage</ion-button>
			</ion-item>
			<ion-item>
				<ion-button (click)="pushSettingsByProdLive()">Push load remote config ProdLive</ion-button>
			</ion-item>
		</ion-list>

	</ion-grid>
</ion-content>